package com.tmax.openframe.service;

import com.tmax.proobject.engine.service.executor.ServiceExecutor;
import com.tmax.proobject.logger.ProObjectLogger;
import com.tmax.proobject.engine.logger.ServiceLogger;
import com.tmax.openframe.*;
import lombok.*;
import java.math.*;
import java.util.*;
import ch.obermuhlner.math.big.BigDecimalMath;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public class OIVPBROSServiceExecutor extends ServiceExecutor {
    private ProObjectLogger logger = ServiceLogger.getLogger();

    public OIVPBROSServiceExecutor() {
        this.serviceObject = new OIVPBROSService();
    }

    @Override
    @SuppressWarnings("unchecked")
    public Object execute(Object o, String s) throws Throwable {
        return this.serviceObject.service(o);
    }
}
